
TYPO3.Neos - Bug # 54336

Status: Accepted Priority: Should have
Author: Tanel Põld Category:
Created: 2013-12-11 Assigned To:
Updated: 2014-07-10 Due date:
Subject: Preview "Print" ends up blank, no way to get back
Description

Activating "Preview/Print" in a newly created site ends up with a blank page.
No way to get back to the admin interface.

Blank page content:
<!-- Exception while rendering print: No "print" TypoScript object found. Please make sure to define one in your TypoScript
configuration. (20131211144633435fcc) -->

History
#1 - 2013-12-12 10:57 - Christian Müller

Are you sure your Demo site is updated to the 1.0 release as well?

#2 - 2013-12-12 10:57 - Christian Müller
- Status changed from New to Needs Feedback

#3 - 2013-12-12 11:06 - Tim Kandel

If I understand him correctly he's talking about a site he has created manually or using the Neos Kickstarter. In that case this makes sense, as the
Neos fetches the preview configuration of the Demo Site, but the new site doesn't include the necessary TypoScript.
But: just a guess, didn't get around to testing this yet.

#4 - 2013-12-12 11:47 - Jan Kiesewetter

I can confirm this.
If there is no TypoScript for a print layout the user gets a blank page with an error message in the source:

Exception while rendering print: No "print" TypoScript object found. Please make sure to define one in your TypoScript configuration.
(20131212115942d57d03)

The only thing you could do is set the settings in the table from print to inPlace.

typo3_neos_domain_model_userpreferences

and set inside preferences
from
s:30:"contentEditing.editPreviewMode";s:5:"print";
to
s:30:"contentEditing.editPreviewMode";s:7:"inPlace";

I had this problem with a own site package.
#5 - 2013-12-12 12:07 - Christian Müller

���Yes that needs to be fixed. The default previews we deliver with Neos should be in the Neos package as is with the Raw Content.

#6 - 2013-12-12 12:07 - Christian Müller
- Status changed from Needs Feedback to Accepted

#7 - 2013-12-12 13:04 - Tanel Põld

Yes exactly, It's a blank install of Neos 1.0 with the Page package created during the install, no demo page activated.

#8 - 2013-12-26 17:15 - Desh Bandhu

I got the same issue in Neos 1.0.1  when i clicked on the Print preview of the page among two Desktop and Print options. There is no revert back to the
main dashboard. Screen just freezes at the above error. This issue appeared for my own created page in my own site.

#9 - 2013-12-28 00:38 - Marcin Sągol

I can confirm this issue :/ Flushing cache does nothing. Hope you can fix this soon.

#10 - 2013-12-30 15:15 - Nikos Poaros

A simple work around is to add the following to the end of your Typoscript (Roots.ts2) and then flush the cache ,if in Production mode, which will
declare a print version effectively you can pad it out later.

print < page

The problem is that the configuration from the NeosDemoTypo3Org is being include i.e. settings.yaml
Neos:
    userInterface:
      editPreviewModes:
        print:
          isEditingMode: FALSE
          isPreviewMode: TRUE
          typoScriptRenderingPath: 'print'
          title: 'Print'
          position: 200

If you don't want the "Preview Print" option in the backend you need to deactivate the NeosDemoTypo3Org package and flush the cache.

#11 - 2013-12-30 22:50 - Marcin Sągol

I can confirm that the workaround suggested by Nick works perfect. Thank you.

#12 - 2014-01-24 12:37 - Pavlina Drosos
We work on a custom site and deactivating the Neos demo site solved the issue in our case:

./flow package:deactivate TYPO3.NeosDemoTypo3Org

#13 - 2014-04-07 21:41 - Rico Schueppel

Confirm this bug. 
I had installed the Neos Demo Version first and studied it for some time.
Later, I added a second Neos blank site. This worked find, but there is the button "print" in the backend edit mode/preview central panel of the blank
site backend.
When I hit "print" within the blank site backend, I got the same error as described. No way back to backend.

As Pavlina Drosos described, deactivation of the demo site (that I had installed first) workes fine.

After deinstallation of the demo site, I was able to login to the blank site backend again, the button "print" was gone in bbackend edit mode/preview
central panel.

double checked: 
I activated another edit mode like In-Place an re-activeted the demo site and just selected another page of the blank site via navigator. 
Subsequently, the print button was visible again. Hitting the print button again reproduced the error.
